Subject: Re: NNCP discussion on comp.mail.uucp

From: John Goerzen <[email-masked]>
Date: Mon, 04 Jan 2021 11:46:02 -0600

On Mon, Jan 04 2021, Sergey Matveev wrote:

> *** John Goerzen [2021-01-03 23:50]:
>>Just thought I'd point you to this thread I started on 
>>comp.mail.uucp:
>
> And no, of course there are no plans for making NNCP opennet, by
> automatic fetching of peer's public key via DNS, because... 
> well, it
> will simply destroy and ruin the whole network and its resources 
> because
> of no trust and control of communicating peers. F2F (darknet)
> self-governed networks (FidoNet as an example of global scale 
> world-wide
> completely decentralized one) are more complicated to administer 
> and
> support, but they are immune to Sybil attacks.

That suits me perfectly.  I think that since UUCPNET has been dead 
for more than two decades now, the only remaining UUCP networks 
are the small friend-to-friend kind anyhow.

BTW, I have another post on the topic of ZFS and non-ZFS backups 
over NNCP:

https://changelog.complete.org/archives/10186-more-topics-on-store-and-forward-possibly-airgapped-zfs-and-non-zfs-backups-with-nncp

Also it occurred to me that one feature I miss from UUCP that 
would be great in NNCP would be automatic tossing.  With UUCP, the 
system can start up the tosser (uuxqt) immediately after hangup on 
a call with uucico.  I think it would be great to, after receiving 
packets, have the various NNCP programs (nncp-xfer, nncp-bundle, 
nncp-daemon, nncp-call[er]) have an option to start a toss, 
possibly limited to that one node.  In the case of the networkable 
ones, the logic would probably be "after receiving at least one 
packet from the remote, and the number of packets the remote has 
for us has dropped to zero, run a toss".  This would actually 
often permit rapid response to freqs and similar since the toss 
could often be accomplished in less than the onlinedeadline.  And 
it would be one less process to run or cron.

UUCP also had automatic calling (queue something and it initiates 
a call) but that one is both more complex and less useful (since 
it can be easily scripted).

- John